Subject: [PATCH 1/5] drivers: usb: phy: add a new driver for omap usb2 phy

From: [email-masked] (Rob Herring)
Date: Thu, 27 Sep 2012 09:24:32 -0500

On 09/25/2012 05:06 AM, ABRAHAM, KISHON VIJAY wrote:
> Hi,
> 
> On Mon, Sep 24, 2012 at 6:45 PM, Rob Herring <[email-masked]> wrote:
>> On 09/06/2012 09:57 AM, Kishon Vijay Abraham I wrote:
>>> All phy related programming like enabling/disabling the clocks, powering
>>> on/off the phy is taken care of by this driver. It is also used for OTG
>>> related functionality like srp.
>>>
>>> This also includes device tree support for usb2 phy driver and
>>> the documentation with device tree binding information is updated.
>>>
>>> Currently writing to control module register is taken care in this
>>> driver which will be removed once the control module driver is in place.
>>>
>>> Cc: Felipe Balbi <[email-masked]>
>>> Signed-off-by: Kishon Vijay Abraham I <[email-masked]>
>>> ---
>>>  Documentation/devicetree/bindings/usb/usb-phy.txt |   17 ++
>>>  drivers/usb/phy/Kconfig                           |    9 +
>>>  drivers/usb/phy/Makefile                          |    1 +
>>>  drivers/usb/phy/omap-usb2.c                       |  271 +++++++++++++++++++++
>>>  include/linux/usb/omap_usb.h                      |   46 ++++
>>>  include/linux/usb/phy_companion.h                 |   34 +++
>>>  6 files changed, 378 insertions(+)
>>>  create mode 100644 Documentation/devicetree/bindings/usb/usb-phy.txt
>>>  create mode 100644 drivers/usb/phy/omap-usb2.c
>>>  create mode 100644 include/linux/usb/omap_usb.h
>>>  create mode 100644 include/linux/usb/phy_companion.h
>>>
>>> diff --git a/Documentation/devicetree/bindings/usb/usb-phy.txt b/Documentation/devicetree/bindings/usb/usb-phy.txt
>>> new file mode 100644
>>> index 0000000..80d4148
>>> --- /dev/null
>>> +++ b/Documentation/devicetree/bindings/usb/usb-phy.txt
>>
>> This is a very generic name...
>>
>>> @@ -0,0 +1,17 @@
>>> +USB PHY
>>> +
>>> +OMAP USB2 PHY
>>> +
>>> +Required properties:
>>> + - compatible: Should be "ti,omap-usb2"
>>
>> ...for a specific phy. However, I do think a generic binding to describe
>> host ctrlr to phy connections is needed.
>>
>>> + - reg : Address and length of the register set for the device. Also
>>> +add the address of control module dev conf register until a driver for
>>> +control module is added
>>
>> The dts should describe the h/w, not what you need for the current
>> driver. The 2nd reg field does not belong here.
> 
> Indeed. This was discussed and agreed upon as a interim solution till
> we have a control module driver in place to write to the control
> module register.

Discussed where and agreed by who? I for one do not agree.

Rob

>>
>>> +
>>> +This is usually a subnode of ocp2scp to which it is connected.
>>
>> How is usb port to phy connection described?
> Currently the usb controller to phy connection is established only by
> type. We have a couple of patches being currently discussed in the
> list to establish the connection by phandle.
> 
> https://patchwork.kernel.org/patch/1457801/ (Generic PHY Framework:
> devm_of_phy_get())
> http://www.spinics.net/lists/linux-usb/msg69547.html
> 
> Thanks
> Kishon
>